package in.gov.digilocker.uidai.logs.fpmodal;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.springframework.stereotype.Component;

@XmlRootElement(name = "DeviceInfo")
@XmlAccessorType(XmlAccessType.NONE)
@XmlType(propOrder = { "dpId", "rdsId", "rdsVer", "dc", "mi", "mc", "additional_info"})
@Component
public class DeviceInfo {
	
	@XmlAttribute(name = "dpId") private String dpId;
	@XmlAttribute(name = "rdsId")private String rdsId;
	@XmlAttribute(name = "rdsVer")private String rdsVer;
	@XmlAttribute(name = "dc")private String dc;
	@XmlAttribute(name = "mi")private String mi;
	@XmlAttribute(name = "mc")private String mc;
	@XmlElementRef(name = "additional_info") AdditionalInfo additional_info;
	
	
	public DeviceInfo() {
		this.dpId= "";
		this.rdsId= "";
		this.rdsVer= "";
		this.dc= "";
		this.mi= "";
		this.mc= "";
		this.additional_info= new AdditionalInfo();
	}


	public String getDpId() {
		return dpId;
	}


	public void setDpId(String dpId) {
		this.dpId = dpId;
	}


	public String getRdsId() {
		return rdsId;
	}


	public void setRdsId(String rdsId) {
		this.rdsId = rdsId;
	}


	public String getRdsVer() {
		return rdsVer;
	}


	public void setRdsVer(String rdsVer) {
		this.rdsVer = rdsVer;
	}


	public String getDc() {
		return dc;
	}


	public void setDc(String dc) {
		this.dc = dc;
	}


	public String getMi() {
		return mi;
	}


	public void setMi(String mi) {
		this.mi = mi;
	}


	public String getMc() {
		return mc;
	}


	public void setMc(String mc) {
		this.mc = mc;
	}


	public AdditionalInfo getAdditionalInfo() {
		return additional_info;
	}


	public void setAdditionalInfo(AdditionalInfo additional_info) {
		this.additional_info = additional_info;
	}
}
